Generate AI images using Wan 2.7 Image, a faster variant of Wan 2.7 Pro. Same capabilities with max 2K resolution. Supports text-to-image and editing.

Model

alibaba/wan-2.7-image

Parameters

ParameterTypeRequiredDescription
promptstringYesText description of the image (max 5000 chars)
aspect_ratiostringNo1:1, 16:9, 9:16, 4:3, 3:4, 3:2, 2:3 (default: 1:1). Editing preserves input ratio
image_urlsarrayNoOmit for T2I. Up to 9 images for editing
thinking_modebooleanNoBetter quality, slower (default: true). T2I only
seedintegerNoSeed for reproducibility

Example - Text-to-Image

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "alibaba/wan-2.7-image",
    "input": {
      "prompt": "A cozy cabin in the mountains surrounded by pine trees",
      "aspect_ratio": "16:9"
    }
  }'

Example - Image Editing

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "alibaba/wan-2.7-image",
    "input": {
      "prompt": "Add a sunset sky behind the mountains",
      "image_urls": ["https://example.com/landscape.jpg"]
    }
  }'

Response

{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "abc123def456",
    "status": "pending"
  }
}